Skip to main content

Update a single localization

PUT /localization/{language}/{key}
alphahttps://api.sandbox.ovok.com

Update or create a single localization by language and key

The request body is a JSON object with the localization.

NOTE: The provided language must be enabled in the system by calling Locale APIs.

Parameters

NameInTypeRequiredDescription
keypathstringyes
languagepathstringyes

Request body

Content-Type: application/json

  • value: string (required)

Responses

CodeDescription
200Success.
400The request could not be operated by the server.
401The resource owner or authorization server denied the request.
404The requested resource could not be found.
422The request could not be validated by the server.
500The server encountered an unexpected condition. Please try again later.

200LocalizationDto (application/json)

  • id: string
  • key: string (required)
  • language: string (required)
  • value: string (required)
  • author: object (required)
    • reference: string (required)
    • display: string
  • date: string
  • projectId: string

Example

{
"key": "home.title",
"language": "en",
"value": "Home",
"author": {
"reference": "Practitioner/123",
"display": "John Doe"
},
"date": {}
}